<template>
  <div class="px-8">
    <div v-if="!introduceTitle.IsHidden" class="mb-10">
      <div
        class="text-[color:var(--title-font-color)] text-[44px] leading-[52px] uppercase font-bold"
      >
        {{ introduceTitle.Text }}
      </div>
    </div>
    <div
      v-if="!introduceImage.IsHidden && !introduceContent.IsHidden"
      class="grid lg:grid-cols-[1fr_1fr] grid-cols-[1fr] gap-x-[50px] gap-y-[50px] min-h-[460px]"
    >
      <div class="w-full">
        <div
          v-if="!introduceContent.IsHidden"
          class="pb-10 mt-4 max-w-[932px] w-full"
        >
          <div
            class="text-[20px] leading-[34px] text-[color:var(--title-font-color)] opacity-60 mb-6"
            v-html="introduceContent.Text"
          ></div>
        </div>
        <nuxt-link
          to="/about-us"
          class="min-w-[102px] px-5 h-10 font-[600] text-sm text-[color:var(--font-color-primary)] uppercase rounded-md bg-[color:var(--button-bg)] shadow-[shadow:var(--box-shadow)] flex w-fit items-center justify-center"
        >
          {{ $t("see_all") }}
        </nuxt-link>
      </div>
      <div
        v-if="!introduceImage.IsHidden"
        class="w-full lg:h-full h-[400px] lg:row-end-auto lg:row-start-auto row-start-[1]"
        :style="`background: center / contain no-repeat url(${introduceImage.ImagePath})`"
      ></div>
    </div>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  name: "SeoComponent",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const introduceTitle = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_introduce_title"
        )
    );
    const introduceContent = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_introduce_content"
        )
    );
    const introduceImage = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_introduce"
        )
    );
    return {
      introduceTitle,
      introduceContent,
      introduceImage,
    };
  },
});
</script>
<style scoped></style>
